Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface FieldValue

All Superinterfaces:
  DBObject

    public interface FieldValue

extends DBObject

A `FieldValue` is the value object of a `Field`.

See Also:
  `Field`

Method Summary
`boolean` | `getBoolean()` Gets boolean value of the field.
`byte` | `getByte()` Gets byte value of the field.
`byte[]` | `getBytes()` Gets the bytes array value of the field.
`java.sql.Date` | `getDate()` Gets the `java.sql.Date` value of the field.
`double` | `getDouble()` Gets the double value of the field.
`float` | `getFloat()` Gets the float value of the field.
`int` | `getInt()` Gets the int32 integer value of the field.
`JDBCType` | `getJDBCType()` Gets the JDBC type of a Field.
`long` | `getLong()` Gets the int64 integer value of the field.
`short` | `getShort()` Gets the short integer value of the field.
`java.lang.String` | `getString()` Gets the string value of the field.
`java.lang.String` | `getTableName()` Gets the field's parent table name.
`java.sql.Time` | `getTime()` Gets the `java.sql.Time` value of the field.
`java.sql.Timestamp` | `getTimestamp()` Gets the `java.sql.Timestamp` value of the field.
`java.lang.Object` | `getValue()` Gets the value of a Field.
`boolean` | `isIdentity()` Indicates whether the field is an identity field.
`void` | `setValue(java.lang.Object value)` Sets the value of a Field.

Methods inherited from interface jet.server.api.db.DBObject
`getName, getProperties, getProperty, getProperty, getUCName, setProperty`

Method Detail

### isIdentity

    boolean isIdentity()

  Indicates whether the field is an identity field.

  Returns:
    `true` if it is, otherwise return `false`.

### getJDBCType

    JDBCType getJDBCType()

  Gets the JDBC type of a Field.

  Returns:
    An JDBCType.
  See Also:
    `jet.server.api.dao.JDBCType`

### getTableName

    java.lang.String getTableName()

  Gets the field's parent table name.

  Returns:
    A String which is the name of the parent table of the Field.

### getValue

    java.lang.Object getValue()

  Gets the value of a Field.

  Returns:
    An object which is the value of the Field.

### setValue

    void setValue(java.lang.Object value)

  Sets the value of a Field.

  Parameters:
    `An` - object.

### getBoolean

    boolean getBoolean()

  Gets boolean value of the field.

  Returns:
    boolean value of the field.

### getByte

    byte getByte()

  Gets byte value of the field.

  Returns:
    byte value of the field.

### getShort

    short getShort()

  Gets the short integer value of the field.

  Returns:
    the short integer value of the field.

### getInt

    int getInt()

  Gets the int32 integer value of the field.

  Returns:
    the int32 integer value of the field.

### getLong

    long getLong()

  Gets the int64 integer value of the field.

  Returns:
    the int64 integer value of the field.

### getFloat

    float getFloat()

  Gets the float value of the field.

  Returns:
    the float value of the field.

### getDouble

    double getDouble()

  Gets the double value of the field.

  Returns:
    the double value of the field.

### getString

    java.lang.String getString()

  Gets the string value of the field.

  Returns:
    the string value of the field.

### getBytes

    byte[] getBytes()

  Gets the bytes array value of the field.

  Returns:
    the bytes array value of the field.

### getDate

    java.sql.Date getDate()

  Gets the `java.sql.Date` value of the field.

  Returns:
    the `java.sql.Date` value of the field.

### getTime

    java.sql.Time getTime()

  Gets the `java.sql.Time` value of the field.

  Returns:
    the `java.sql.Time` value of the field.

### getTimestamp

    java.sql.Timestamp getTimestamp()

  Gets the `java.sql.Timestamp` value of the field.

  Returns:
    the `java.sql.Timestamp` value of the field.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD